Mailinglist Archive: opensuse-buildservice (189 mails)

< Previous Next >
Re: [opensuse-buildservice] Resend: Ubuntu build - libwxgtk-dev dependency
  • From: Michael Behrisch <behrisch@xxxxxxxxxxxxxxxxxxxxxxx>
  • Date: Tue, 3 Feb 2009 23:53:49 +0100
  • Message-id: <200902032353.49535.behrisch@xxxxxxxxxxxxxxxxxxxxxxx>
I'm building a package which builds fine on openSuSE variants, but when
I try to compile it on Ubuntu (tried repositories 8.04, 8.04:Multiverse,
8.10, 8.10:Multiverse), I get an expansion error:

nothing provides libwxgtk2.8-dev

According to http://packages.ubuntu.com/hardy/allpackages, it's in
universe.

Well, universe is not multiverse, although I must admit, I once
assumed that the former contains the latter as well .
As far as I remember there are no plans to add a general universe repo
to obs because it is considered a moving target.

Someone on IRC suggested that I may need to open a bug to get this added
to the repositories - is this the case, and if so what do I need to put
in the bug report?

You could also rebuild the package by simply downloading the sources
together with the dsc file from the ubuntu server and adding them into
a obs package of your own. This is an easy solution but may add further
dependencies from universe (which can get messy).

Regards,
Michael
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References